#!/bin/sh
set -x
set -e
#
# Shell script to update kaffe-1.0.7 with cvs libtool
# without using root.
#
# You might not really want to use this script in production,
# but it illustrates all the steps involved.

# Remove temporary directories from last run
rm -rf libtool-1.4e

# Get libtool from cvs
echo /1 :pserver:anoncvs@subversions.gnu.org:2401/cvsroot/libtool A >> ~/.cvspass
#cvs -z3 -d :pserver:anoncvs@subversions.gnu.org:/cvsroot/libtool login
cvs -z3 -d :pserver:anoncvs@subversions.gnu.org:/cvsroot/libtool co libtool

# Make libtool source tarball
mv libtool libtool-1.4e
tar -czvf libtool-1.4e.tar.gz libtool-1.4e

# Unpack libtool source tarball, configure, build, install in private area
# (Sure would be nice if you could use libtool without installing it)
rm -rf libtool-1.4e
tar -xzvf libtool-1.4e.tar.gz
cd libtool-1.4e
  sh bootstrap
  ./configure --prefix `cd ..; pwd`/libtool-installed
  make
  make install
cd ..

# Remove temporary directories from last run
rm -rf kaffe-1.0.7

# Unpack kaffe-1.0.7 tarball
tar -xzvf ~/ixia_tarballs/kaffe-1.0.7.tar.gz

# update to new autotools.  You should have latest autoconf and automake installed.
# (yeah, should run aclocal, but we'll cheat here)
cp libtool-installed/share/aclocal/libtool.m4 kaffe-1.0.7/acinclude.m4
cd kaffe-1.0.7
   ../libtool-installed/bin/libtoolize -c -f --ltdl
   patch -p1 < ../../updatetools.patch
   patch -p1 < ../../libltdl.patch
   sh developers/autogen.sh
cd ..
mv kaffe-1.0.7 kaffe-1.0.7-libtool1.4e
tar -czvf kaffe-1.0.7-libtool1.4e.tar.gz kaffe-1.0.7-libtool1.4e

# Happy happy joy joy, kaffe-1.0.7-libtool1.4e.tar.gz 
# is a kaffe-1.0.7 updated to current cvs libtools!
